post
https://soipapi.netcorecloud.com/template/create
Send template creation details in the JSON request body. Use this API to create text templates, single rich cards, or multi-card carousel templates.
200Template created successfully.
With suggestions
{
"message": "Template created successfully",
"payload": {
"name": "text_message_demo",
"type": "text_message",
"botId": "OCHhY1alm8nJfSnj",
"textMessageContent": "Time to go big or go home because it's India VS Australia FINALS!",
"suggestions": [
{
"suggestionType": "reply",
"postback": "click_to_win",
"displayText": "Click to Win"
},
{
"suggestionType": "url_action",
"postback": "answer_and_win",
"displayText": "Answer and Win",
"url": "https://brandx.onelink.me/"
},
{
"suggestionType": "dialer_action",
"postback": "call_now_fast",
"displayText": "Call Now Fast",
"phoneNumber": "+919876543212"
}
],
"createdViaApi": true
},
"status": "Success"
}
Without suggestions
{
"message": "Template created successfully",
"payload": {
"name": "text_message_demo",
"type": "text_message",
"botId": "OCHhY1alm8nJfSnj",
"textMessageContent": "Time to go big or go home because it's India VS Australia FINALS!",
"createdViaApi": true
},
"status": "Success"
}
400Template creation failed.
Template already exists
{
"error": "Template with same name is already present.",
"message": "Template creation failed",
"status": "Failure"
}
Missing field
{
"error": "missing required field: rcs_type",
"message": "Template creation failed",
"status": "Failure"
}
Name length validation
{
"error": "The length of 'template_name' cannot be more than 20 characters",
"message": "Template creation failed",
"status": "Failure"
}
